Subject: Re: [PATCH 1/2] SubmittingPatches: extend release-notes experiment to topic names

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Oct 2025 13:51:24 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> I like the format in the cover letter:
>
>      * tb/submitting-patches
>
>        Extend the experimental protocol used by contributors to propose a
>        topic branch name in addition to a description, and describe how to
>        name multi-series efforts.

Hmph, but the paragraphs that eventually go into RelNotes are not
commit log messages.  "Extend the protocol A to achieve X" is what
we would write in our proposed log messages, but after such a patch
achieves X by extending the protocol A, we'd report it in our
release notes by saying something ike "The protocol A was extended
in such and such way to achieve X".

> But it was noted[1] that the-topic-summary doesn’t seem to have been
> used much. That’s not surprising given that the instruction makes
> the-topic-summary blend in with the rest of the cover letter and doesn’t
> signal that the author intends for the first paragraph to be used as
> such. This patch shares the same problem.

Oh, that's a new theory.  So you are saying that authors may have
tried but I (and others) failed to notice?  It cetainly is possible.